<?php
error_reporting(E_ALL & ~E_DEPRECATED);
session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

?>
<script type="text/javascript">
function Alert(a) {
            settings.setClose(a);
            $("body").Qbox({
                title: "\u041f\u0440\u0435\u0434\u0443\u043f\u0440\u0435\u0436\u0434\u0435\u043d\u0438\u0435",
                width: 420,
                minHeight: 45,
                fadespeed: 300,
                url: "",
                param: "",
                data: '<div style="padding:10px; text-align:center">Поднятие товара стоит, 49 рублей. Ваш товар будет находиться на первом месте до тех пор пока кто-то не добавит новый, или не поднимет выше другой</div><div id="bot_panel"><div class="preloader"></div><a href="#" onclick="Del(' + a + '); return false;" class="btn_box" id="refdel">Поднять</a></div>'
            })
        }
        function Del(a) {
            var b = $("#refdel").attr("onclick");
            $("#refdel").attr("onclick", "");
            $(".preloader").css({
                display: "block"
            });
            $.post("ajax.php?func=arrow_tovar", {
                id: a
            }, function(a) {
                1 == a ? (box_close(), setTimeout(function(){location.assign('my')} , 2000)) : $("#refdel").attr("onclick", b)
            });
            return !1
        }

    function editstavka(a) {
        $('body').Qbox({
            'title': 'Изменение стоимости товара',
            'width': 410,
            'minHeight': 45,
            'fadespeed': 300,
            'url': '',
            'param': '',
            'data': '<div style="padding: 5px; margin:10px; text-align:center">Укажите новую цену&nbsp;&nbsp;&nbsp;<input type="text" id="stwr" class="val" style="width:50px;text-align:right" /></div><div id="bot_panel"><div class="preloader"></div><a href="#" id="savestavka" onclick="savestavka('+ a+'); return false;" class="btn_box">Изменить</a></div>'
        });
    }
    function savestavka(a) {
        var temp_click = $('#savestavka').attr('onclick');
        $('#savestavka').attr('onclick', '');
        $('.preloader').css({display:'block'});
        $.post('ajax.php?func=savestavka', {
            idpost:a,stavka: $('#stwr').val(),
        }, function(data) {
            if (data == 1) {
                box_close();
                $('body').Qnotify({text:'Цена изменена!', sound:'error'});
                setTimeout(function(){location.assign('my')} , 2000);
            } else {
                $('body').Qnotify({text:'Ошибка!', sound:'error'});
                $('.preloader').css({display:'none'});
                $('#savestavka').attr('onclick', temp_click);
            }
        });
        return false;
    }
</script>
<div class="big_topics bor_top round3 FFF hr">
<div class="wrap_user_r">
       <div class="top_games_small">Список моих товаров:</div>

  <style>
  #ok {
	width: 10px;
	height: 10px;
	background: #EEE8AA;
	display:inline-block;
	margin-left:10px;
}

#tovar {
	width: 10px;
	height: 10px;
	background: #BC8F8F;
	display:inline-block;
	margin-left:10px;
}

#tovar_scr {
	width: 10px;
	height: 10px;
	background: #CD5C5C;
	display:inline-block;
	margin-left:10px;
}

#txt {
	display:inline-block;
	margin-left:10px;
}

  </style>
      <div id="ok"></div><div id="txt">товар на модерации</div>
      <div id="tovar"></div><div id="txt">загрузить файл</div>
      <div id="tovar_scr"></div><div id="txt">нет изображения</div>
	<div class="padd10"></div>  
<table class="tabreclama basket_tovar tabpos">
    <thead>
        <th>ID</th>
        <th>Название</th>
        <th width="80">Цена</th>
        <th>Позиция</th>
        <th>Поднять товар</th>
        <th>Скриншоты</th>
    </thead>
    <?
    $mouseover = '<div class="btn_panel_walls_ref"><img src="' . ROOT . '/theme/images/edit.gif" width="11" hright="11" id="ewr' . $sh_wallRefRow['id'] . '" onmouseover="titlehtml.title(\'' . $sh_wallRefRow['id'] . '\', \'Редактировать ставку\', \'ewr\')" onclick="editstavka();" />';
    $cbm = $pdo->Query("select sum(`cena`) from `php_tovar` where `user` = '".$_SESSION['id']."'")->fetchColumn();

    $sql = $pdo->Query("SELECT * FROM `php_tovar` WHERE `user` = '" . $_SESSION['id'] . "' ORDER BY `id` DESC");
    while($depos = $sql->Fetch())
    {
       $title = $depos['title'];
       $cena = intval($depos['cena']);
       $id = intval($depos['id']);
       $moder = intval($depos['moder']);
       $sqlb = $pdo->Query("SELECT * FROM `php_gallery` WHERE `tovar` = '" . $id . "'");
       $numscrin = $sqlb->RowCount();
        ?>
        <tr <?if($moder == 1){ echo ''; } if($moder == 2){ echo 'style="background: #EEE8AA;"'; } if($moder == 3){ echo 'style="background: #BC8F8F; color:#FFF;"'; } if($moder == 4){ echo 'style="background: #CD5C5C; color:#FFF;"'; }?>>
            <td><?=$id?></td>
            <td><div style="text-align: left;font-size: 12px;"><?=$title?></div></td>
            <td><?=$cena?>&nbsp;<i class="fa fa-rouble"></i><?if($moder == 3){ echo '<a href="'.ROOT.'/tovar'.$id.'"><div class="folder"></div></a>'; }if($moder == 4){ echo '<a href="'.ROOT.'/img'.$id.'"><div class="picture"></div></a>'; }?>
            <span class="ed" onclick="editstavka(<?=$depos['id']?>);"><div style="margin-top: -5px; font-size: 10px; color: #39A901; cursor:pointer;">изменить</div></span>
            </td>
            <td>
            <?
             if($moder == 1){
			                   $sqlam = mysql_query("SELECT `id`,`data_up` FROM `php_tovar` ORDER BY `data_up` DESC");
                               $xD = 0;
                               while($am = mysql_fetch_assoc($sqlam)):
                               $xD = $xD+1;
                               if($am['id']==$depos['id'] and $xD<100 and $am['data_up'] > 0): echo '<span class="scon-down" title="Позиция в списке: '.$xD.'" onclick="javascript:hideserfaddblock(\'taskup'.$depos['id'].'\');">'.$xD.'</span>'; endif;
                               if($am['id']==$depos['id'] and $xD>=100): endif;
                               endwhile;
                               }
            ?>
            </td>
            <td><center><span class="arrow" onclick="Alert(<?=$depos['id']?>); return false;"></span></center></td>
            <td><a href="<?=ROOT?>/scrin<?=$id?>"><div class="picture_sc"></div></a><div class="stat_scrin"><?=$numscrin?></div></td>
        </tr>
        <?
    }
    ?>

</table>
<div style="color: #1F2124;float:right;margin-right:25px;margin-top:10px;">Общая сумма: <?=$cbm?>&nbsp;<i class="fa fa-rouble"></i></div>
<div class="cl"></div>
<div class="padd5"></div>

       </div>

 </div>

<?}?>